package com.bonus.canteen.core.device.manage.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_dishes")
@ApiModel("菜品信息")
public class WeightMenuDishesVO {
   @ApiModelProperty("自定义id")
   private Integer customId;
   @ApiModelProperty("存货id(数据同步)")
   private String inventoryId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品名称")
   private String productName;
   @ApiModelProperty("菜品售卖价格")
   private Integer salePrice;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salseMode;
   @ApiModelProperty("菜品类型ID")
   private Long typeId;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("菜品质量(g/份)")
   private Double weight;
   @ApiModelProperty("质量偏差(g)")
   private Double weightDeviation;
   @ApiModelProperty("菜品初始推荐分值")
   private Integer initialScore;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("总嘌呤含量(mg/100g)")
   private Double purine;
   @ApiModelProperty("碘(μg/100g)")
   private Double iodine;
   @ApiModelProperty("热量NRV(千卡/100g)")
   private Double caloriesNrv;
   @ApiModelProperty("蛋白质NRV(g/100g)")
   private Double proteinNrv;
   @ApiModelProperty("脂肪NRV(g/100g)")
   private Double fatNrv;
   @ApiModelProperty("碳水化合物NRV(g/100g)")
   private Double carbohydrateNrv;
   @ApiModelProperty("膳食纤维NRV(g/100g)")
   private Double dietaryFiberNrv;
   @ApiModelProperty("胆固醇NRV(mg/100g)")
   private Double cholesterolNrv;
   @ApiModelProperty("钙NRV(mg/100g)")
   private Double calciumNrv;
   @ApiModelProperty("钠NRV(mg/100g)")
   private Double sodiumNrv;
   @ApiModelProperty("菜品图片url")
   private String imageUrl;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("删除标识")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Integer getCustomId() {
      return this.customId;
   }

   public String getInventoryId() {
      return this.inventoryId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public String getProductName() {
      return this.productName;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getSalseMode() {
      return this.salseMode;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Double getWeightDeviation() {
      return this.weightDeviation;
   }

   public Integer getInitialScore() {
      return this.initialScore;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getPurine() {
      return this.purine;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Double getCaloriesNrv() {
      return this.caloriesNrv;
   }

   public Double getProteinNrv() {
      return this.proteinNrv;
   }

   public Double getFatNrv() {
      return this.fatNrv;
   }

   public Double getCarbohydrateNrv() {
      return this.carbohydrateNrv;
   }

   public Double getDietaryFiberNrv() {
      return this.dietaryFiberNrv;
   }

   public Double getCholesterolNrv() {
      return this.cholesterolNrv;
   }

   public Double getCalciumNrv() {
      return this.calciumNrv;
   }

   public Double getSodiumNrv() {
      return this.sodiumNrv;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setCustomId(final Integer customId) {
      this.customId = customId;
   }

   public void setInventoryId(final String inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setProductName(final String productName) {
      this.productName = productName;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setSalseMode(final Integer salseMode) {
      this.salseMode = salseMode;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setWeightDeviation(final Double weightDeviation) {
      this.weightDeviation = weightDeviation;
   }

   public void setInitialScore(final Integer initialScore) {
      this.initialScore = initialScore;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setPurine(final Double purine) {
      this.purine = purine;
   }

   public void setIodine(final Double iodine) {
      this.iodine = iodine;
   }

   public void setCaloriesNrv(final Double caloriesNrv) {
      this.caloriesNrv = caloriesNrv;
   }

   public void setProteinNrv(final Double proteinNrv) {
      this.proteinNrv = proteinNrv;
   }

   public void setFatNrv(final Double fatNrv) {
      this.fatNrv = fatNrv;
   }

   public void setCarbohydrateNrv(final Double carbohydrateNrv) {
      this.carbohydrateNrv = carbohydrateNrv;
   }

   public void setDietaryFiberNrv(final Double dietaryFiberNrv) {
      this.dietaryFiberNrv = dietaryFiberNrv;
   }

   public void setCholesterolNrv(final Double cholesterolNrv) {
      this.cholesterolNrv = cholesterolNrv;
   }

   public void setCalciumNrv(final Double calciumNrv) {
      this.calciumNrv = calciumNrv;
   }

   public void setSodiumNrv(final Double sodiumNrv) {
      this.sodiumNrv = sodiumNrv;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
